pfSense Packages - Bug #10445

BIND crashed when added RPZ. rpz is not a master or slave zone.
Description

Before upgrade pfsense to version 2.4.5 i try update packages on 2.4.4p3.
After updating BIND to 9.14_3 (Package Dependencies: bind914-9.14.9), | found that bind now crash with message:

rpz 'rpz.local' is not a master or slave zone
loading configuration: not found
exiting (due to fatal error)

rpz.local is Response Policy Zone.

When | uncheck that zone is used in a response policy, then BIND started.
| try create clear new zone for test, the same result - crash when zone promoted to 'Response Policy Zone'.

Some like me error described here:
https://forum.netgate.com/topic/152139/possible-bug-with-bind-config-generate-in-2-4-5-bind-package-9-14_3

But user can resolve problem by edit local config file, in my sitiation it not help.

History

#1 - 04/09/2020 04:49 AM - Manuel Piovan

i was able to reproduce it here
https://forum.netgate.com/topic/152274/rpz-rpz-local-is-not-a-master-or-slave-zone-crash-bind

#2 - 05/09/2020 08:51 AM - Brandon Rock

| found that the issue was occurring for me because the response-policy setting was defined in the global options section, but not all views were
referencing the zones defined in that setting. Moving the response-policy setting to the individual views fixed the issue for me. | think a good fix for
this would be for the Ul to define the response-policy setting in the individual views, when views are in use.

| was able to work around the issue in the user interface by unchecking the Response Policy Zone checkbox in the zone, and manually adding the
response-policy setting to the views. To do this, follow these instructions:

1. In the response policy zone, uncheck the Response Policy Zone checkbox. This will prevent the response-policy setting from being added to
the global options.

2. For each view you define that needs to use a response policy zone, add a response-policy entry to the Custom Options portion of the view.
For example, since my response policy zone is called rpz-default, | added the following custom options: response-policy { zone "rpz-default";
b
#3 - 07/05/2020 06:10 AM - Viktor Gurov

Fixes:
https://github.com/pfsense/FreeBSD-ports/pull/893

#4 - 07/07/2020 12:57 PM - Jim Pingle

- Status changed from New to Pull Request Review

#5 - 07/10/2020 02:12 PM - Renato Botelho
- Status changed from Pull Request Review to Feedback
- Assignee set to Renato Botelho

- % Done changed from 0 to 100

PR has been merged. Thanks!

#6 - 07/15/2020 06:37 AM - Viktor Gurov

Typo fix:
https://github.com/pfsense/FreeBSD-ports/pull/905

05/18/2021

22


https://github.com/pfsense/FreeBSD-ports/pull/893
https://github.com/pfsense/FreeBSD-ports/pull/905
http://www.tcpdf.org

